package com.heyu.api.data.dao.vv;
/**
* <p>
* 卖家仓库表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/
import com.heyu.api.data.entity.vv.VvSellerWarehouseEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.IN;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvSellerWarehouseDao extends BaseMapper<VvSellerWarehouseEntity> {


	VvSellerWarehouseEntity selectVvSellerWarehouseById(@Param("id")Long id);


    Long insertVvSellerWarehouse(VvSellerWarehouseEntity vvSellerWarehouse);


    Long insertOrUpdateVvSellerWarehouse(VvSellerWarehouseEntity vvSellerWarehouse);


    int updateVvSellerWarehouseById(VvSellerWarehouseEntity vvSellerWarehouse);


    int updateCoverVvSellerWarehouseById(VvSellerWarehouseEntity vvSellerWarehouse);


    int deleteVvSellerWarehouseById(@Param("id") Long id);

    List<VvSellerWarehouseEntity> selectVvSellerWarehouseBySellerId(Long sellerId);

    List<VvSellerWarehouseEntity> selectVvSellerWarehouseBySellerIdList(@IN List<Long> sellerId);
}